/*==================================================================*/
/* Script generated with: MW Designer Version 4.74, Build 501       */
/* Project Filename: D:\Daten\Dp60\DBS-Dev-40\dbs\Handbuch Bsp5.sql */
/* Project Name:     5. Handbuch-Beispiel                           */
/* Author:           Michael Wilhelm                                */
/* DBMS:             Firebird-DBF                                   */
/* Copyright:        by Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm */
/* Generated on:     09.02.2016 18:36:45                            */
/*==================================================================*/


/*==================================================================*/
/*  Tables                                                          */
/*==================================================================*/
CREATE TABLE BELEGT (
  MNR  INTEGER  NOT NULL,
  VNR  INTEGER  NOT NULL
);

CREATE TABLE FB (
  FBNR  VARCHAR(5)  NOT NULL,
  NAME  VARCHAR(50)  DEFAULT '',

  CONSTRAINT PK_FB  PRIMARY KEY (FBNR)
);

CREATE TABLE STUDENT (
  MNR  INTEGER  NOT NULL,
  NAME  VARCHAR(50)  DEFAULT '',
  VORNAME  VARCHAR(50)  DEFAULT '',
  FBNR  VARCHAR(5)  NOT NULL,

  CONSTRAINT PK_STUDENT  PRIMARY KEY (MNR)
);

CREATE TABLE VORLESUNG (
  VNR  INTEGER  NOT NULL,
  NAME  VARCHAR(50)  DEFAULT '',

  CONSTRAINT PK_VORLESUNG  PRIMARY KEY (VNR)
);




/*==================================================================*/
/*  Foreign Keys                                                    */
/*==================================================================*/
ALTER TABLE STUDENT ADD CONSTRAINT 
   FK_FB_STUDENT FOREIGN KEY (FBNR) REFERENCES FB(FBNR);


ALTER TABLE BELEGT ADD CONSTRAINT 
   FK_STUDENT_BELEGT FOREIGN KEY (MNR) REFERENCES STUDENT(MNR);


ALTER TABLE BELEGT ADD CONSTRAINT 
   FK_VORLESUNG_BELEGT FOREIGN KEY (VNR) REFERENCES VORLESUNG(VNR);




/*==================================================================*/
/*  Check-Constraints                                               */
/*==================================================================*/
/*==================================================================*/
/*  Indexes                                                         */
/*==================================================================*/


/*   Zusaetzliche SQL-Befehle*/
insert into FB(FBNR, Name)
VALUES ('AI', 'Automatisierung und Informatik' );


insert into FB(FBNR, Name)
VALUES ('VW', 'Verwaltungswissenschaften' );


insert into FB(FBNR, Name)
VALUES ('W', 'Wirtschaft' );

