

CREATE TABLE ABTEILUNG (
  PINDEX  INTEGER  NOT NULL,
  KURZNAME  VARCHAR(15)  DEFAULT ''  NOT NULL  UNIQUE,
  NAME  VARCHAR(50)  DEFAULT ''  NOT NULL  UNIQUE,

  CONSTRAINT PK_ABTEILUNG  PRIMARY KEY (PINDEX)
);

CREATE TABLE DBS_UPDATE (
  DBVERSION  INTEGER  DEFAULT 1  NOT NULL,
  DATUM  TIMESTAMP,
  TEXT  VARCHAR(100),

  CONSTRAINT PK_DBSUPDATE  PRIMARY KEY (DBVERSION)
);

CREATE TABLE MITARBEITER (
  PINDEX  INTEGER  NOT NULL,
  VORNAME  VARCHAR(50)  DEFAULT '',
  NACHNAME  VARCHAR(50)  DEFAULT '',
  TELEFONNR  INTEGER  DEFAULT 0,
  AINDEX  INTEGER  NOT NULL,

  CONSTRAINT PK_MITARBEITER  PRIMARY KEY (PINDEX)
);



ALTER TABLE MITARBEITER ADD CONSTRAINT 
   FK_ABTEILUNG_MITARBEITER FOREIGN KEY (AINDEX) REFERENCES ABTEILUNG(PINDEX);




CREATE SEQUENZ SEQ;



