/*==================================================================*/
/* Script generated with: MW Designer Version 4.74, Build 501       */
/* Project Filename: D:\Daten\Dp60\DBS-Dev-40\dbs\Handbuch Bsp1.sql */
/* Project Name:     Projekt HS-Harz                                */
/* Author:           HS-Harz                                        */
/* DBMS:             Firebird-DBF                                   */
/* Copyright:        Copyright by ???                               */
/* Generated on:     09.02.2016 16:49:41                            */
/*==================================================================*/


/*==================================================================*/
/*  Tables                                                          */
/*==================================================================*/
CREATE TABLE ARTIKEL (
  ANR  INTEGER  NOT NULL,
  NAME  VARCHAR(40)  NOT NULL,
  PREIS  NUMERIC(7,2)  DEFAULT 0,

  CONSTRAINT PK_ANR  PRIMARY KEY (ANR)
);

CREATE TABLE KUNDE_ARTIKEL (
  KNR  INTEGER  NOT NULL,
  ANR  INTEGER  NOT NULL,

  CONSTRAINT PK_KUNDE_ARTIKEL PRIMARY KEY (KNR, ANR )
);

CREATE TABLE KUNDE (
  KNR  INTEGER  NOT NULL,
  NAME  VARCHAR(40)  NOT NULL,
  ONR  INTEGER  NOT NULL,
  GEWBDATUM  TIMESTAMP,

  CONSTRAINT PK_KNR  PRIMARY KEY (KNR)
);

CREATE TABLE ORT (
  ONR  INTEGER  NOT NULL,
  PLZ  CHAR(5)  NOT NULL,
  NAME  VARCHAR(40)  NOT NULL  UNIQUE,

  CONSTRAINT PK_ONR  PRIMARY KEY (ONR)
);




/*==================================================================*/
/*  Foreign Keys                                                    */
/*==================================================================*/
ALTER TABLE KUNDE_ARTIKEL ADD CONSTRAINT 
   FK_ARTIKEL__FK_KUNDE_ARTIKEL FOREIGN KEY (ANR) REFERENCES ARTIKEL(ANR);


ALTER TABLE KUNDE_ARTIKEL ADD CONSTRAINT 
   FK_KUNDE__FK_KUNDE_ARTIKEL FOREIGN KEY (KNR) REFERENCES KUNDE(KNR);


ALTER TABLE KUNDE ADD CONSTRAINT 
   FK_ORT_KUNDE FOREIGN KEY (ONR) REFERENCES ORT(ONR);




/*==================================================================*/
/*  Check-Constraints                                               */
/*==================================================================*/
ALTER TABLE ARTIKEL
     ADD CONSTRAINT CH_PREIS CHECK (
  PREIS >0
);


ALTER TABLE KUNDE
     ADD CONSTRAINT CH_GEWBDATUM CHECK  (
  datediff ( day, GebDatum,
              (
                select cast('NOW' as timestamp) from rdb$database
               )
    ) >=6574.5

);


/*==================================================================*/
/*  Indexes                                                         */
/*==================================================================*/
/*==================================================================*/
/*  Sequenzen                                                       */
/*==================================================================*/
CREATE SEQUENCE SEQ
 ; 
